Summary: A set of GNU Interactive Tools.
Name: gnuit
Version: 4.3.20
Release: 5
License: GNU
Group: Applications/File
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: gnuit-4.3.20-sharepath.patch
URL: http://www.gnu.org/software/git
Buildroot: /var/tmp/gnuit-root
Prefix: %{_prefix}
Prereq: /sbin/install-info
%define DEFCC cc

%description
GIT (GNU Interactive Tools) provides an extensible file system
browser, an ASCII/hexadecimal file viewer, a process viewer/killer and
other related utilities and shell scripts.  GIT can be used to
increase the speed and efficiency of copying and moving files and
directories, invoking editors, compressing and uncompressing files,
creating and expanding archives, compiling programs, and sending mail.
GIT uses standard ANSI color sequences, if they are available.

You should install the git package if you are interested in using its
file management capabilities.

Package naming changed to gnugit, as these days git by default will be
mostly be refered to git version control.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .sharepath

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
export CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"

LDFLAGS='-s' ./configure --prefix=%{prefix} \
	--with-terminfo
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix}/ install-strip
gzip -9nf $RPM_BUILD_ROOT%{prefix}/info/git.info*

cd $RPM_BUILD_ROOT%{prefix}/info
ls | while read info
do
    mv $info gnuit${info}
done
cd -

(cd $RPM_BUILD_ROOT
 # rename git binaries to gnuit.
 cd opt/freeware/bin
 ls | while read file
 do
     mv $file gnuit${file}
 done
 cd $RPM_BUILD_ROOT

 mkdir -p usr/bin
 cd usr/bin
 ln -sf ../..%{_prefix}/bin/* .
 cd -

 cd opt/freeware/share
 mv git gnuit
 cd -
 mkdir -p usr/share
 cd usr/share
 ln -s ../..%{prefix}/share/gnuit .
 cd -
 
 cd opt/freeware/man/man1
 ls | while read man
 do
    mv $man gnuit${man}
 done
)

%files
%defattr(-,root,system)
%doc COPYING ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL
%{prefix}/bin/*
%{prefix}/info/gnuit*
%dir %{prefix}/share/gnuit
%{prefix}/share/gnuit/.gitrc*
%{prefix}/man/man1/*
/usr/bin/*
/usr/share/gnuit
%docdir %{prefix}/lib/gnuit/html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{prefix}/info/gnuitgit.info.gz %{prefix}/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{prefix}/info/gnuitgit.info.gz %{prefix}/info/dir
fi

%changelog
* Wed Apr 16 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 4.3.20-5
- Rebuild for AIX 7.1 using RPMv4.

* Thu Aug 11 2016 Sangamesh Mallayya <smallayy@in.ibm.com> 4.3.20-4
- Rename the package to gnugit as we also providing git version control
- with the same name.

* Fri Feb 27 2004 David Clissold <cliss@austin.ibm.com>  4.3.20-4
- %defattr was missing from %files.

* Wed Feb 25 2004 David Clissold <cliss@austin.ibm.com>  4.3.20-3
- Remove link to nowhere; make /usr/share/git link to /opt/freeware/share/git
- Rebuild with IBM VAC compiler

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- only get /usr/info/get* to avoid pulling in dir

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 4.3.19
- man pages are compressed

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16

